name: field.blocks.subpage_navitem.name
label: "{{obj.headline}}"
preview: fields # required
wysiwyg: true # recommended
fields:
  obj:
    label: Information
    type: object
    fields:
      btn_type:
        type: select
        label:
          de: Typ
          en: Type
        options:
          - value: pdf 
            text: PDF
          - value: image
            text:
              de: Bild
              en: Image
          - value: video
            text: Video
          - value : mix
            text: Mix
      headline:
        label: Headline
        type: text
      subheadline:
        label: Subheadline
        type: text
      btn_label:
        label:
          de: Button-Beschriftung
          en: Button label
        type: text
      linkedModal:
        type: pages
        label:
          de: Verlinkter Modal
          en: Linked modal
        query: page.parent.childrenAndDrafts.filterBy('intendedTemplate', 'modal-swiper')
